# Load distro-specific variables
- include_vars: "{{ ansible_distribution|lower }}.yml"
  tags: always
  ignore_errors: True

- block:
  - debug:
      msg: "mysql: {{ mysql }}"
  # install software
  - import_tasks: install_mysql.yml
    when: 
      - mysql is defined
      - mysql == true
  - import_tasks: install_postgres.yml
    when:
      - postgres is defined
      - postgres == true
  - import_tasks: install_redis.yml
    when:
      - redis is defined
      - redis == true